<?php

function dnd_character_race_defaults () {
  $races = array(
    'human' => array(
      'machine_name' => 'human',
      'name' => t('Human'),
      'plural' => t('Humans'),
      'ability_mods' => array(),
      'speed' => 30,
      'size' => 'm',
      'racial_traits' => array(
        t('Medium size.'),
        t('Human base speed is 30 feet.'),
      ),
    ),
    'elf' => array(
      'machine_name' => 'elf',
      'name' => t('Elf'),
      'plural' => t('Elves'),
      'ability_mods' => array('dex' => +2, 'con' => -2),
      'speed' => 30,
      'size' => 'm',
      'racial_traits' => array(
        t('+2 Dexterity, -2 Constitution.'),
        t('Medium size.'),
        t('Elven base speed is 30 feet.'),
        t('Immunity to magic sleep spells and effects.'),
        t('+2 racial saving throw bonus against Enchantment spells or effects.'),
        t('Low-light Vision: Elves can see twice as far as a human in starlight, moonlight, torchlight, and similar conditions of poor illumination. They retain the ability to distinguish color and detail under these conditions.'),
        t('Proficient with either longsword or rapier; proficient with shortbow, longbow, composite longbow, and composite shortbow.'),
        t('+2 racial bonus on Listen, Search, and Spot checks. An elf who merely passes within 5 feet of a secret or concealed door is entitled to a Search check to notice it as if she were actively looking for the door.'),
        t('Automatic Languages: Common and Elven.'),
        t('Bonus Languages: Draconic, Gnoll, Gnome, Goblin, Orc, and Sylvan.'),
        t('Favored Class: Wizard.'),
      ),
    ),
    'half_elf' => array(
      'machine_name' => 'half_elf',
      'name' => t('Half Elf'),
      'plural' => t('Half Elves'),
      'ability_mods' => array(),
      'speed' => 30,
      'size' => 'm',
      'racial_traits' => array(
        t('Humanoid (Elf).'),
        t('Medium: As Medium creatures, half-elves have no special bonuses or penalties due to their size.'),
        t('Half-elf base land speed is 30 feet. .'),
        t('Immunity to sleep spells and similar magical effects, and a +2 racial bonus on saving throws against enchantment spells or effects.'),
        t('Low-Light Vision: A half-elf can see twice as far as a human in starlight, moonlight, torchlight, and similar conditions of poor illumination. She retains the ability to distinguish color and detail under these conditions.'),
        t('+1 racial bonus on Listen, Search, and Spot checks.'),
        t('+2 racial bonus on Diplomacy and Gather Information checks.'),
        t('Elven Blood: For all effects related to race, a half-elf is considered an elf.'),
        t('Automatic Languages: Common and Elven. Bonus Languages: Any (other than secret languages, such as Druidic).'),
        t('Favored Class: Any. When determining whether a multiclass half-elf takes an experience point penalty, her highest-level class does not count.'),
        t('Level Adjustment: +0'),
      ),
    ),
    'dwarf' => array(
      'machine_name' => 'dwarf',
      'name' => t('Dwarf'),
      'plural' => t('Dwarves'),
      'ability_mods' => array('con' => +2, 'chr' => -2),
      'speed' => 20,
      'size' => 'm',
      'racial_traits' => array(
        t('Medium size.'),
        t('Dwarven base speed is 20 feet.'),
      ),
    ),
  );

  return $races;
}
